Subject: Re: [BUG] New Kernel Bugs

From: Russell King <[email-masked]>
Date: Wed, 14 Nov 2007 19:52:08 +0000

On Wed, Nov 14, 2007 at 01:24:48PM +0000, Pavel Machek wrote:
> Hi!
> 
> > > Suspend to RAM resume hangs on a tickless (NO_HZ) kernel
> > > http://bugzilla.kernel.org/show_bug.cgi?id=9275
> > > Kernel: 2.6.23
> > > This is HP notebook nc6320 T2400 945GM
> > 
> > No response from developers
> 
> Maybe I'm optimistic, but I expected Ingo/Thomas to look after nohz
> problems. nohz=off highres=off fixes more than one suspend problem...
> 
> ...stuff I've seen with NOHZ even without suspend (cursor blinking
> irregulary) make me think that nohz perhaps should not be used in
> production just yet...

It appears that bug 9229 has been solved, and the reporter of that
bug now says that:

  If I unset NO_TZ suspend/resume works.
  If I set it suspend/resume doesn't works.

So I think this guy is now suffering from bug #9275

-- 
Russell King
 Linux kernel    2.6 ARM Linux   - http://www.arm.linux.org.uk/
 maintainer of: